#' ---
#' title: "Webscraping"
#' date: "2022-06-24"
#' author: "Jose https://ajuda.multifarm.top"
#' output:
#'   html_document:
#'    code_folding: show
#'    toc: yes
#'    toc_float:
#'      smooth_scroll: true
#'    df_print: paged
#'    highlight: zenburn
#' ---

#' remove objects

rm(list = ls())

#' Libraries

library(rvest)
library(crul)

url <- 'https://www.mdpi.com/search?q=pasture&journal=remotesensing'

url_parse = url

a = read_html(url)

html_children(a)[1] |> html_text()

str(a)

html_elements(a, "h1")

html_elements(a, "h2")

html_elements(a, "h3")

html_elements(a, "h4")

html_elements(a, "h2") |> html_text2()

html_elements(a, "p1")

html_elements(a, "p2")

html_elements(a, "p3")

